Subject: Re: [bug#64771] [PATCH 03/12] gnu: Add emacs-nerd-icons.

From: Ahmad Draidi <[email-masked]>
Date: Sat, 22 Jul 2023 14:41:35 +0400

Hello,

Liliana Marie Prikler <[email-masked]> writes:

> Am Freitag, dem 21.07.2023 um 18:44 +0400 schrieb Ahmad Draidi:
>> * gnu/packages/emacs-xyz.scm (emacs-nerd-icons): New variable.
>> ---
>>  gnu/packages/emacs-xyz.scm | 28 ++++++++++++++++++++++++++++
>>  1 file changed, 28 insertions(+)
>>
>> diff --git a/gnu/packages/emacs-xyz.scm 
>> b/gnu/packages/emacs-xyz.scm
>> index 8d3c069609..5d481f50d7 100644
>> --- a/gnu/packages/emacs-xyz.scm
>> +++ b/gnu/packages/emacs-xyz.scm
>> @@ -9984,6 +9984,34 @@ (define-public emacs-purescript-mode
>>        (description "This package provides an Emacs major mode 
>> for
>> writing Purescript.")
>>        (license license:gpl3+))))
>>  
>> +;; Package has no releases or tags.  Version is extracted from
>> "Version:"
>> +;; keyword in main file.
>> +(define-public emacs-nerd-icons
>> +  (let ((commit "a83d47f6dc4db0ae2f38c0c534de58f02285cea6")
>> +        (revision "0"))
>> +    (package
>> +      (name "emacs-nerd-icons")
>> +      (version (git-version "0.0.1" revision commit))
>> +      (source (origin
>> +                (method git-fetch)
>> +                (uri (git-reference
>> +                      (url
>> "https://github.com/rainstormstudio/nerd-icons.el")
>> +                      (commit commit)))
>> +                (file-name (git-file-name name version))
>> +                (sha256
>> +                 (base32
>> +                 
>> "0l9657dg1c2bj25a7qnmshzmsmfl1m4mhx1x0b3v9k6r4gqp68qa"))))
>> +      (build-system emacs-build-system)
>> +      (arguments
>> +       (list #:include #~(cons "^data\\/[^/]*\\.el$" %default-
>> include)))
>> +      (home-page 
>> "https://github.com/rainstormstudio/nerd-icons.el")
>> +      (synopsis "Emacs Nerd Font icons library")
>> +      (description
>> +       "This package provides a library for easily using 
>> @code{Nerd
>> Font}
>> +icons inside Emacs, an alternative to @code{all-the-icons}.  
>> It
>> works on both
>> +GUI and terminal.  You only need a @code{Nerd Font} installed 
>> on
>> your system.")
>> +      (license license:gpl3+))))
>> +
> Since nerd font is a big nope on licensing terms, I don't think 
> having
> any related Emacs packages does us any good.
These packages are mainly concerned with the "Symbols Nerd Font 
Mono" font. I'll try to dig into that later. Feel free to drop the 
'*nerd-icons*' patches. I'll send them separately if I get the 
licenses thing sorted out.

> Cheers

Thanks